Bug 124543 - [patch] www/lynx OPTIONify, use ncursesw
Summary: [patch] www/lynx OPTIONify, use ncursesw
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-13 08:50 UTC by Alex Kozlov
Modified: 2008-07-02 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (5.47 KB, patch)
2008-06-13 08:50 UTC, Alex Kozlov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov 2008-06-13 08:50:01 UTC
- OPTIONify
- use ncursesw if available (fix work in utf-8 locales)
- use gzip_help

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-06-13 08:50:05 UTC
Maintainer of www/lynx,

Please note that PR ports/124543 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124543

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-06-13 08:50:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rong-En Fan freebsd_committer 2008-06-14 07:44:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 4 Alex Kozlov 2008-07-02 02:37:57 UTC
Hi, bug-followup

Maintainer timeout?

Also please remove --with-mime-libdir=${PREFIX}/etc line.
It's crept in from lynx-devel.


--
Adios
Comment 5 Rong-En Fan freebsd_committer 2008-07-02 04:16:18 UTC
On Wed, Jul 02, 2008 at 04:37:57AM +0300, Alex Kozlov wrote:
> Hi, bug-followup
> 
> Maintainer timeout?

yes

> Also please remove --with-mime-libdir=${PREFIX}/etc line.
> It's crept in from lynx-devel.

Could you update the patch so that it can be applied 
against the latest lynx port?
Comment 6 Alex Kozlov 2008-07-02 06:10:33 UTC
Hi, Rong-En Fan

Index: www/lynx/Makefile
@@ -7,7 +7,7 @@
 
 PORTNAME=	lynx
 PORTVERSION=	2.8.6.5
-PORTREVISION=	3
+PORTREVISION=	4
 PORTEPOCH=	1
 CATEGORIES=	www ipv6
 MASTER_SITES=	http://lynx.isc.org/current/ \
@@ -23,9 +23,23 @@
 USE_OPENSSL=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}2-8-6
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=--with-screen=ncurses --with-zlib --libdir="${L_LIB}" \
+CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS+=--with-zlib --libdir="${L_LIB}" \
 		--enable-nsl-fork --enable-persistent-cookies \
-		--with-ssl="${OPENSSLBASE}"
+		--enable-nested-tables --enable-gzip-help \
+
+OPTIONS=	SSL		"SSL support" on \
+			DEFAULT_COLORS	"Colors support" off \
+			IPV6	"IPV6 support" off \
+			NLS 	"Native language support" on
+
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 602107 || (${OSVERSION} >= 700000 && ${OSVERSION} < 700033)
+CONFIGURE_ARGS+=	--with-screen=ncurses
+.else
+CONFIGURE_ARGS+=	--with-screen=ncursesw
+.endif
 
 .if defined(WITHOUT_NLS)
 CONFIGURE_ARGS+=--disable-nls
@@ -37,13 +51,17 @@
 PLIST_SUB+=	NLS=''
 .endif
 
-.if defined(NO_INET6) || defined(WITHOUT_IPV6)
-CONFIGURE_ARGS+=--disable-ipv6
-.else
+.if defined(WITH_IPV6) && ! defined(NO_INET6)
 CONFIGURE_ARGS+=--enable-ipv6
+.else
+CONFIGURE_ARGS+=--disable-ipv6
+.endif
+
+.if defined(WITH_SSL)
+CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE}
 .endif
 
-.if defined(ENABLE_DEFAULT_COLORS)
+.if defined(WITH_DEFAULT_COLORS) || defined(ENABLE_DEFAULT_COLORS)
 CONFIGURE_ARGS+=--enable-default-colors
 .endif
 
@@ -65,4 +83,4 @@
 	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${L_HELP}
 	${CHOWN} ${SHAREOWN}:${SHAREGRP} ${L_LIB}/lynx.cfg
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
Index: www/lynx/pkg-plist
@@ -17,16 +17,16 @@
 @unexec rm -f %D/share/lynx_help/COPYING.asc
 %%DOCSDIR%%/PROBLEMS
 %%DOCSDIR%%/README
-%%DOCSDIR%%/docs/CHANGES2.3
-%%DOCSDIR%%/docs/CHANGES2.4
-%%DOCSDIR%%/docs/CHANGES2.5
-%%DOCSDIR%%/docs/CHANGES2.6
-%%DOCSDIR%%/docs/CHANGES2.7
-%%DOCSDIR%%/docs/CHANGES2.8
-%%DOCSDIR%%/docs/CRAWL.announce
-%%DOCSDIR%%/docs/FM.announce
-%%DOCSDIR%%/docs/IBMPC-charsets.announce
-%%DOCSDIR%%/docs/OS-390.announce
+%%DOCSDIR%%/docs/CHANGES2.3.gz
+%%DOCSDIR%%/docs/CHANGES2.4.gz
+%%DOCSDIR%%/docs/CHANGES2.5.gz
+%%DOCSDIR%%/docs/CHANGES2.6.gz
+%%DOCSDIR%%/docs/CHANGES2.7.gz
+%%DOCSDIR%%/docs/CHANGES2.8.gz
+%%DOCSDIR%%/docs/CRAWL.announce.gz
+%%DOCSDIR%%/docs/FM.announce.gz
+%%DOCSDIR%%/docs/IBMPC-charsets.announce.gz
+%%DOCSDIR%%/docs/OS-390.announce.gz
 %%DOCSDIR%%/docs/README.TRST
 %%DOCSDIR%%/docs/README.chartrans
 %%DOCSDIR%%/docs/README.defines
@@ -35,13 +35,13 @@
 %%DOCSDIR%%/docs/README.rootcerts
 %%DOCSDIR%%/docs/README.ssl
 %%DOCSDIR%%/docs/README.sslcerts
-%%DOCSDIR%%/docs/SOCKETSHR.announce
-%%DOCSDIR%%/docs/TCPWARE.announce
-%%DOCSDIR%%/docs/VMSWAIS.announce
+%%DOCSDIR%%/docs/SOCKETSHR.announce.gz
+%%DOCSDIR%%/docs/TCPWARE.announce.gz
+%%DOCSDIR%%/docs/VMSWAIS.announce.gz
 %%DOCSDIR%%/docs/djgpp.key
 %%DOCSDIR%%/docs/pdcurses.key
 %%DOCSDIR%%/docs/slang.key
-%%DOCSDIR%%/docs/win-386.announce
+%%DOCSDIR%%/docs/win-386.announce.gz
 %%DOCSDIR%%/samples/blue-background.lss
 %%DOCSDIR%%/samples/bright-blue.lss
 %%DOCSDIR%%/samples/cernrules.txt
@@ -78,30 +78,30 @@
 %%DOCSDIR%%/test/utf-8-demo.html
 share/lynx_help/COPYHEADER
 share/lynx_help/COPYING
-share/lynx_help/Lynx_users_guide.html
-share/lynx_help/about_lynx.html
-share/lynx_help/keystrokes/alt_edit_help.html
-share/lynx_help/keystrokes/bashlike_edit_help.html
-share/lynx_help/keystrokes/bookmark_help.html
-share/lynx_help/keystrokes/cookie_help.html
-share/lynx_help/keystrokes/dired_help.html
-share/lynx_help/keystrokes/edit_help.html
-share/lynx_help/keystrokes/environments.html
-share/lynx_help/keystrokes/follow_help.html
-share/lynx_help/keystrokes/gopher_types_help.html
-share/lynx_help/keystrokes/history_help.html
-share/lynx_help/keystrokes/keystroke_help.html
-share/lynx_help/keystrokes/movement_help.html
-share/lynx_help/keystrokes/option_help.html
-share/lynx_help/keystrokes/other_help.html
-share/lynx_help/keystrokes/print_help.html
-share/lynx_help/keystrokes/scrolling_help.html
-share/lynx_help/keystrokes/test_display.html
-share/lynx_help/keystrokes/visited_help.html
-share/lynx_help/keystrokes/xterm_help.html
-share/lynx_help/lynx-dev.html
-share/lynx_help/lynx_help_main.html
-share/lynx_help/lynx_url_support.html
+share/lynx_help/Lynx_users_guide.html.gz
+share/lynx_help/about_lynx.html.gz
+share/lynx_help/keystrokes/alt_edit_help.html.gz
+share/lynx_help/keystrokes/bashlike_edit_help.html.gz
+share/lynx_help/keystrokes/bookmark_help.html.gz
+share/lynx_help/keystrokes/cookie_help.html.gz
+share/lynx_help/keystrokes/dired_help.html.gz
+share/lynx_help/keystrokes/edit_help.html.gz
+share/lynx_help/keystrokes/environments.html.gz
+share/lynx_help/keystrokes/follow_help.html.gz
+share/lynx_help/keystrokes/gopher_types_help.html.gz
+share/lynx_help/keystrokes/history_help.html.gz
+share/lynx_help/keystrokes/keystroke_help.html.gz
+share/lynx_help/keystrokes/movement_help.html.gz
+share/lynx_help/keystrokes/option_help.html.gz
+share/lynx_help/keystrokes/other_help.html.gz
+share/lynx_help/keystrokes/print_help.html.gz
+share/lynx_help/keystrokes/scrolling_help.html.gz
+share/lynx_help/keystrokes/test_display.html.gz
+share/lynx_help/keystrokes/visited_help.html.gz
+share/lynx_help/keystrokes/xterm_help.html.gz
+share/lynx_help/lynx-dev.html.gz
+share/lynx_help/lynx_help_main.html.gz
+share/lynx_help/lynx_url_support.html.gz
 @dirrm %%DOCSDIR%%/docs
 @dirrm %%DOCSDIR%%/samples
 @dirrm %%DOCSDIR%%/test
Comment 7 dfilter service freebsd_committer 2008-07-02 15:58:01 UTC
rafan       2008-07-02 14:57:56 UTC

  FreeBSD ports repository

  Modified files:
    www/lynx             Makefile pkg-plist 
  Log:
  - Use ncursesw if available
  - Use gzip for documents
  - OPTIONS'ify
  - Bump PORTREVISION
  
  PR:             ports/124543
  Submitted by:   Alex Kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainer timout (2 weeks)
  
  Revision  Changes    Path
  1.129     +26 -8     ports/www/lynx/Makefile
  1.22      +38 -38    ports/www/lynx/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Rong-En Fan freebsd_committer 2008-07-02 15:58:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!